Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Source for emberjs.com
CSS Ruby JavaScript

This branch is 987 commits behind emberjs:master

Fetching latest commit…

Cannot retrieve the latest commit at this time

Failed to load latest commit information.
data
images
lib
source
spec
.gitignore
Gemfile
Gemfile.lock
LICENSE
Procfile
README.md
Rakefile
config.rb

README.md

Ember Website

The website for the Ember.js project.

Contributing

To get started:

git clone git://github.com/emberjs/website.git
cd website
bundle
bundle exec middleman

Then visit http://localhost:4567/

Note: unless you're working with the API docs, don't use rake preview—use middleman (aka middleman server) instead.

API Documentation

You can preview api documention, by generating docs from the source code. Clone the three repositories, then from project executing the specific tasks to build the docs locally.

  • For the ember.js and website projects a rake task will build the docs
  • For the data project the yuidocjs npm library is required to build docs

Node, npm, Ruby, bundler are required to preview documentation locally

The repositories for ember.js, data and the website need be located in the same directory:

emberjs/
    website/
    ember.js/
    ember-data/

Notice that the name of the data project needs to use ember-data not data

  • In the ember.js directory execute node bin/generate_docs.js
  • In the ember-data directory execute npm run dist
  • Finally, in the website directory execute bundle exec rake generate_docs

You can launch the website, bundle exec middleman, to preview the generated docs.

Requirements

If the bundle command fails to run, you may need to upgrade your Ruby version. The Ember.js website build requires 1.9.3 or newer (2.0.0 recommended). You can use RVM to install it:

curl -L https://get.rvm.io | bash -s stable
rvm install 2.0.0
rvm use 2.0.0

Troubleshooting tips for Windows devs

For Windows developers using RubyInstaller, you'll need to download the DevKit and install it using instructions: https://github.com/oneclick/rubyinstaller/wiki/Development-Kit

After you have a proper install, you can then run:

gem install bundler
gem update listen
gem update middleman
gem install wdm

Lastly, you can add the following line to your Gemfile:

gem 'wdm'
Something went wrong with that request. Please try again.